Subject: bug#47596: File descriptor error when exiting emacs on android 11

From: Eli Zaretskii <[email-masked]>
Date: Sun, 04 Apr 2021 22:31:21 +0300

> From: Henrik Grimler <[email-masked]>
> Date: Sun, 04 Apr 2021 21:20:35 +0200
> 
> Debugging these issues are very tedious in my experience so far
> (probably easier for actual android apps). I will try to boil down the
> relevant emacs code into a smaller program that still reproduces the
> error.

Yes, please.

> Based on the backtrace it seem to be how stderr is opened (and closed)
> that is problematic somehow.

Any idea what was "the other thread" involved in this situation?
Emacs is generally a single-threaded program.